FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::parser::AccClause Struct Reference

## Public Member Functions
| UNION_CLASS_BOILERPLATE (AccClause)
| EMPTY_CLASS (Auto)
| WRAPPER_CLASS (Async, std::optional< ScalarIntExpr >)
| WRAPPER_CLASS (Attach, AccObjectList)
| WRAPPER_CLASS (Bind, Name)
| EMPTY_CLASS (Capture)
| WRAPPER_CLASS (Collapse, ScalarIntConstantExpr)
| WRAPPER_CLASS (Copy, AccObjectList)
| WRAPPER_CLASS (Copyin, AccObjectListWithModifier)
| WRAPPER_CLASS (Copyout, AccObjectListWithModifier)
| WRAPPER_CLASS (Create, AccObjectListWithModifier)
| WRAPPER_CLASS (Default, AccDefaultClause)
| WRAPPER_CLASS (DefaultAsync, ScalarIntExpr)
| WRAPPER_CLASS (Delete, AccObjectList)
| WRAPPER_CLASS (Detach, AccObjectList)
| WRAPPER_CLASS (Device, AccObjectList)
| WRAPPER_CLASS (DeviceNum, ScalarIntConstantExpr)
| WRAPPER_CLASS (DevicePtr, AccObjectList)
| WRAPPER_CLASS (DeviceResident, AccObjectList)
| WRAPPER_CLASS (DeviceType, std::optional< std::list< Name >>)
| EMPTY_CLASS (Finalize)
| WRAPPER_CLASS (FirstPrivate, AccObjectList)
| WRAPPER_CLASS (Gang, std::optional< AccGangArgument >)
| WRAPPER_CLASS (Host, AccObjectList)
| WRAPPER_CLASS (If, ScalarLogicalExpr)
| EMPTY_CLASS (IfPresent)
| EMPTY_CLASS (Independent)
| WRAPPER_CLASS (Link, AccObjectList)
| WRAPPER_CLASS (NoCreate, AccObjectList)
| EMPTY_CLASS (NoHost)
| WRAPPER_CLASS (NumGangs, ScalarIntExpr)
| WRAPPER_CLASS (NumWorkers, ScalarIntExpr)
| WRAPPER_CLASS (Present, AccObjectList)
| WRAPPER_CLASS (Private, AccObjectList)
| WRAPPER_CLASS (Tile, AccSizeExprList)
| WRAPPER_CLASS (UseDevice, AccObjectList)
| EMPTY_CLASS (Read)
| WRAPPER_CLASS (Reduction, AccObjectListWithReduction)
| WRAPPER_CLASS (Self, std::optional< ScalarLogicalExpr >)
| EMPTY_CLASS (Seq)
| WRAPPER_CLASS (Vector, std::optional< ScalarIntExpr >)
| WRAPPER_CLASS (VectorLength, ScalarIntExpr)
| WRAPPER_CLASS (Wait, std::optional< AccWaitArgument >)
| WRAPPER_CLASS (Worker, std::optional< ScalarIntExpr >)
| EMPTY_CLASS (Write)
| EMPTY_CLASS (Unknown)

## Public Attributes
CharBlock | source
std::variant< Auto, Async, Attach, Bind, Capture, Collapse, Copy, Copyin, Copyout, Create, Default, DefaultAsync, Delete, Detach, Device, DeviceNum, DevicePtr, DeviceResident, DeviceType, Finalize, FirstPrivate, Gang, Host, If, IfPresent, Independent, Link, NoCreate, NoHost, NumGangs, NumWorkers, Present, Private, Tile, UseDevice, Read, Reduction, Self, Seq, Vector, VectorLength, Wait, Worker, Write, Unknown > | u

The documentation for this struct was generated from the following file:

- include/flang/Parser/parse-tree.h